Bug 669535 - Regression: svnadmin hotcopy throws error
Regression: svnadmin hotcopy throws error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subversion (Show other bugs)
5.6
Unspecified Unspecified
high Severity low
: rc
: ---
Assigned To: Joe Orton
qe-baseos-daemons
: Regression, ZStream
Depends On:
Blocks: 681522
  Show dependency treegraph
 
Reported: 2011-01-13 16:58 EST by Troels Arvin
Modified: 2013-09-23 07:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 808010 (view as bug list)
Environment:
Last Closed: 2013-09-23 07:16:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troels Arvin 2011-01-13 16:58:31 EST
Description of problem:
Part of the news in RHEL 5.6 is a newer generation of subversion (from version 1.4.2 to version 1.6.11). However, after the upgrade, backups using the "svnadmin hotcopy" yield an error message. The resulting backup _seems_ to be OK, but I'm not completely sure.

Version-Release number of selected component (if applicable):
subversion-1.6.11-7.el5

How reproducible:
Every time, after upgrading from RHEL 5.5 to 5.6.

Steps to Reproduce:
1. Given a RHEL 5.5 installation with at least one working Subversion repository.
2. Upgrade to RHEL 5.6.
3. Run the "svnadmin hotcopy" command.
  
Actual results:
svnadmin: Can't open file 'REPONAME/db/fsfs.conf': No such file or directory

Expected results:
Silence.

Additional info:
Putting the error message in a search engine reveals that it's not an unknown problem: It seems that the problem was introduced in Subversion v. 1.6.11 and was probably fixed in 1.6.13 by this change:
http://svn.apache.org/viewvc?view=revision&revision=980811

I think that RHEL 5.6's Subversion should either be upgraded to version 1.6.13 (or later), or someone should consider if the isolated change in revision 980811 is safe to back-port.
Comment 1 Joe Orton 2011-01-14 06:46:09 EST
Thanks for the report, and sorry about the regression.  

That looks fine to backport.  It looks like a simple workaround would be to run:

  touch REPONAME/db/fsfs.conf

before the hotcopy for older repos, though I haven't verified that.
Comment 7 Troels Arvin 2011-03-15 18:17:24 EDT
I believe that this bug can be closed, now that RHSA-2011:0327 is out.
Comment 8 Joe Orton 2011-03-16 04:54:59 EDT
Thanks - in fact for internal purposes we need to keep this bug open, since the released erratum comes from a different development branch.

Note You need to log in before you can comment on or make changes to this bug.